# DaprProtos.BulkPublishRequestEntry.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.BulkPublishRequestEntry.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>
      - - io.dapr.v1.DaprProtos.BulkPublishRequestEntry.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.BulkPublishRequestEntryOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.BulkPublishRequestEntry

    public static final class DaprProtos.BulkPublishRequestEntry.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>
    implements DaprProtos.BulkPublishRequestEntryOrBuilder

     BulkPublishRequestEntry is the message containing the event to be bulk published

Protobuf type `dapr.proto.runtime.v1.BulkPublishRequestEntry`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.BulkPublishRequestEntry.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.BulkPublishRequestEntry` `build()`
`DaprProtos.BulkPublishRequestEntry` `buildPartial()`
`DaprProtos.BulkPublishRequestEntry.Builder` `clear()`
`DaprProtos.BulkPublishRequestEntry.Builder` `clearContentType()` The content type for the event
`DaprProtos.BulkPublishRequestEntry.Builder` `clearEntryId()` The request scoped unique ID referring to this message.
`DaprProtos.BulkPublishRequestEntry.Builder` `clearEvent()` The event which will be pulished to the topic
`DaprProtos.BulkPublishRequestEntry.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.BulkPublishRequestEntry.Builder` `clearMetadata()`
`DaprProtos.BulkPublishRequestEntry.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.BulkPublishRequestEntry.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The event level metadata passing to the pubsub component
`String` `getContentType()` The content type for the event
`com.google.protobuf.ByteString` `getContentTypeBytes()` The content type for the event
`DaprProtos.BulkPublishRequestEntry` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getEntryId()` The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString` `getEntryIdBytes()` The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString` `getEvent()` The event which will be pulished to the topic
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The event level metadata passing to the pubsub component
`Map<String,​String>` `getMetadataMap()` The event level metadata passing to the pubsub component
`String` `getMetadataOrDefault​(String key, String defaultValue)` The event level metadata passing to the pubsub component
`String` `getMetadataOrThrow​(String key)` The event level metadata passing to the pubsub component
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.BulkPublishRequestEntry.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.BulkPublishRequestEntry.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.BulkPublishRequestEntry.Builder` `mergeFrom​(DaprProtos.BulkPublishRequestEntry other)`
`DaprProtos.BulkPublishRequestEntry.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.BulkPublishRequestEntry.Builder` `putAllMetadata​(Map<String,​String> values)` The event level metadata passing to the pubsub component
`DaprProtos.BulkPublishRequestEntry.Builder` `putMetadata​(String key, String value)` The event level metadata passing to the pubsub component
`DaprProtos.BulkPublishRequestEntry.Builder` `removeMetadata​(String key)` The event level metadata passing to the pubsub component
`DaprProtos.BulkPublishRequestEntry.Builder` `setContentType​(String value)` The content type for the event
`DaprProtos.BulkPublishRequestEntry.Builder` `setContentTypeBytes​(com.google.protobuf.ByteString value)` The content type for the event
`DaprProtos.BulkPublishRequestEntry.Builder` `setEntryId​(String value)` The request scoped unique ID referring to this message.
`DaprProtos.BulkPublishRequestEntry.Builder` `setEntryIdBytes​(com.google.protobuf.ByteString value)` The request scoped unique ID referring to this message.
`DaprProtos.BulkPublishRequestEntry.Builder` `setEvent​(com.google.protobuf.ByteString value)` The event which will be pulished to the topic
`DaprProtos.BulkPublishRequestEntry.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.BulkPublishRequestEntry.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.BulkPublishRequestEntry.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### clear

    public DaprProtos.BulkPublishRequestEntry.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.BulkPublishRequestEntry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.BulkPublishRequestEntry build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.BulkPublishRequestEntry buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.BulkPublishRequestEntry.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### setField

    public DaprProtos.BulkPublishRequestEntry.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### clearField

    public DaprProtos.BulkPublishRequestEntry.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### clearOneof

    public DaprProtos.BulkPublishRequestEntry.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### setRepeatedField

    public DaprProtos.BulkPublishRequestEntry.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       int index,
                                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### addRepeatedField

    public DaprProtos.BulkPublishRequestEntry.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### mergeFrom

    public DaprProtos.BulkPublishRequestEntry.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### mergeFrom

    public DaprProtos.BulkPublishRequestEntry.Builder mergeFrom​(DaprProtos.BulkPublishRequestEntry other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### mergeFrom

    public DaprProtos.BulkPublishRequestEntry.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`
Throws:
  `IOException`

#### getEntryId

    public String getEntryId()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Specified by:
  `getEntryId` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The entryId.

#### getEntryIdBytes

    public com.google.protobuf.ByteString getEntryIdBytes()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Specified by:
  `getEntryIdBytes` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The bytes for entryId.

#### setEntryId

    public DaprProtos.BulkPublishRequestEntry.Builder setEntryId​(String value)

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Parameters:
  `value` - The entryId to set.
Returns:
  This builder for chaining.

#### clearEntryId

    public DaprProtos.BulkPublishRequestEntry.Builder clearEntryId()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Returns:
  This builder for chaining.

#### setEntryIdBytes

    public DaprProtos.BulkPublishRequestEntry.Builder setEntryIdBytes​(com.google.protobuf.ByteString value)

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Parameters:
  `value` - The bytes for entryId to set.
Returns:
  This builder for chaining.

#### getEvent

    public com.google.protobuf.ByteString getEvent()

     The event which will be pulished to the topic

`bytes event = 2;`

Specified by:
  `getEvent` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The event.

#### setEvent

    public DaprProtos.BulkPublishRequestEntry.Builder setEvent​(com.google.protobuf.ByteString value)

     The event which will be pulished to the topic

`bytes event = 2;`

Parameters:
  `value` - The event to set.
Returns:
  This builder for chaining.

#### clearEvent

    public DaprProtos.BulkPublishRequestEntry.Builder clearEvent()

     The event which will be pulished to the topic

`bytes event = 2;`

Returns:
  This builder for chaining.

#### getContentType

    public String getContentType()

     The content type for the event

`string content_type = 3;`

Specified by:
  `getContentType` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The contentType.

#### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

     The content type for the event

`string content_type = 3;`

Specified by:
  `getContentTypeBytes` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The bytes for contentType.

#### setContentType

    public DaprProtos.BulkPublishRequestEntry.Builder setContentType​(String value)

     The content type for the event

`string content_type = 3;`

Parameters:
  `value` - The contentType to set.
Returns:
  This builder for chaining.

#### clearContentType

    public DaprProtos.BulkPublishRequestEntry.Builder clearContentType()

     The content type for the event

`string content_type = 3;`

Returns:
  This builder for chaining.

#### setContentTypeBytes

    public DaprProtos.BulkPublishRequestEntry.Builder setContentTypeBytes​(com.google.protobuf.ByteString value)

     The content type for the event

`string content_type = 3;`

Parameters:
  `value` - The bytes for contentType to set.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.BulkPublishRequestEntryOrBuilder`

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `containsMetadata` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### clearMetadata

    public DaprProtos.BulkPublishRequestEntry.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.BulkPublishRequestEntry.Builder removeMetadata​(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.BulkPublishRequestEntry.Builder putMetadata​(String key,
                                                                  String value)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

#### putAllMetadata

    public DaprProtos.BulkPublishRequestEntry.Builder putAllMetadata​(Map<String,​String> values)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

#### setUnknownFields

    public final DaprProtos.BulkPublishRequestEntry.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`

#### mergeUnknownFields

    public final DaprProtos.BulkPublishRequestEntry.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkPublishRequestEntry.Builder>`